#pragma once

#include "CoreMinimal.h"
#include "EChatMessageType.h"
#include "ChatHistoryEntry.generated.h"

USTRUCT(BlueprintType)
struct FChatHistoryEntry
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EChatMessageType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString PlayerMirrorsId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Message;

public:
	CHATHISTORY_API FChatHistoryEntry();
};

FORCEINLINE uint32 GetTypeHash(const FChatHistoryEntry) { return 0; }
